
{***************************************************************}
{ Draw a triangle with dot-dashed lines				}
{***************************************************************}

procedure pattern_triag;
const
MONO = 5;
COLOR = 4;
VMONO = 7;
DOT_DASH = $30FC;
WHITE = 15;
var
i : integer;
begin
	clear_screen;
	i := get_display_type;
	if i = MONO then set_mode($0F)
	else if i = VMONO then set_mode($0F)
	else if i = COLOR then set_mode($0E)
	else set_mode($10);

	slow_pattern_line(210,0,0,100,WHITE,DOT_DASH);
	slow_pattern_line(0,100,320,100,WHITE,DOT_DASH);
	slow_pattern_line(210,0,320,100,WHITE,DOT_DASH);

	i := integer(readkey);
	{--- Set default text mode					}
	i := get_display_type;
	if i = MONO then set_mode(7)
	else if i = VMONO then set_mode(7)
	else	set_mode(3);
end;

{**********************************************************************}
{ Draw a box with checkerboard pattern using patterned lines		}
{**********************************************************************}

procedure checkers;
const
MONO = 5;
COLOR = 4;
VMONO = 7;
EVEN_DOTS = $AAAA;
ODD_DOTS = $5555;
WHITE = 15;
var
i : integer;
begin
	clear_screen;
	i := get_display_type;
	if i = MONO then set_mode($0F)
	else if i = VMONO then set_mode($0F)
	else if i = COLOR then set_mode($0E)
	else set_mode($10);

	for i := 0 to 49 do begin
		slow_pattern_line(300,2*i,500,2*i,WHITE,EVEN_DOTS);
		slow_pattern_line(300,2*i+1,500,2*i+1,WHITE, ODD_DOTS);
	end;

	i := integer(readkey);
	{--- Set default text mode					}
	i := get_display_type;
	if i = MONO then set_mode(7)
	else if i = VMONO then set_mode(7)
	else	set_mode(3);
end;
