
{**********************************************************************}
{ Check display type and if ok, set 43 line mode			}
{**********************************************************************}

procedure demo_43_lines;
const
MONO = 5;
VMONO = 7;
var
i : integer;
begin
	{--- Set default text mode					}
	i := get_display_type;
	if i = MONO then set_mode(7)
	else if i = VMONO then set_mode(7)
	else	set_mode(3);

	i := get_scanlines;
	if i < 350 then writeln('Display will not support 43 lines')
	else begin
		set_43_lines; 	                { Set 43 text mode	}
		for i := 0 to 42 do begin	{ Fill screen with text }
			set_cursor_position(i,0);
			write('This is line ',i,' in 43 line text mode');
		end;
	end;
        i := integer(ReadKey);                  { Wait for <Enter> key  }
	i := get_display_type;
	if i = MONO then set_mode(7)
	else if i = VMONO then set_mode(7)
	else	set_mode(3);
end;
