program testscn;
uses crt,egalibp;

const
   MONO   = 5;
   VMONO  = 7;
   COLOR  = 4;
   ENHANCED = 3;

var
   i : integer;

{**********************************************************************}
{**********************************************************************}
{ Save content of screen into a file 'picture.001'                     }
{**********************************************************************}

procedure save_screen;
const
MONO = 5;
COLOR = 4;
VMONO = 7;
var
i,j,x,y,pcolor : integer;
begin	{ Display a pattern on the screen				}
	clear_screen;					{ Clear screen 	}
	i := get_display_type;
	if i = MONO then set_mode($0F)
	else if i = VMONO then set_mode($0F)
	else if i = COLOR then set_mode($0E)
	else set_mode($10);

	for j := 0 to 3 do begin 		{ Loop over rows of b's}
		for i := 0 to 3 do begin 	{ Loop over columns	}
			y := j * 200 div 4;	{ Draw the box 	}
			x := i * 640 div 4;
			pcolor := i + j * 4;
			solid_box(x, y, x+640 div 4, y+200 div 4, pcolor);
		end;
	end;
	i := screen_dump;
	if i = 0 then writeln('...Error while saving screen')
	else writeln('...Picture sucessfully saved');

	i := integer(readkey);
	{--- Set default text mode					}
	i := get_display_type;
	if i = MONO then set_mode(7)
	else if i = VMONO then set_mode(7)
	else	set_mode(3);
end;
{ Display content of file 'PICTURE.001' on the screen                  }
{**********************************************************************}

procedure restore_screen;
const
MONO = 5;
COLOR = 4;
VMONO = 7;
picture_name : array [0..11] of char = 'PICTURE.001 ';
var
i : integer;
begin
	picture_name[11] := chr(0);
	clear_screen;
	i := get_display_type;
	if i = MONO then set_mode($0F)
	else if i = VMONO then set_mode($0F)
	else if i = COLOR then set_mode($0E)
	else set_mode($10);

	i := screen_load(seg(picture_name),ofs(picture_name));
						{ Copy file to screen	}

	i := integer(readkey);
	{--- Set default text mode					}
	i := get_display_type;
	if i = MONO then set_mode(7)
	else if i = VMONO then set_mode(7)
	else	set_mode(3);
end;

begin
    Clear_Screen;
    i := Get_Display_Type;
    if i = MONO then
       Set_Mode($0F)
    else if i = VMONO then
       Set_Mode($0F)
    else if i = COLOR then
       Set_Mode($0E)
    else
       Set_Mode($10);

    i := 0;
    while i <= 350 do begin
       scanline(0,640,i,7);
       i := i + 10;
    end;

    i := 5;
    while i <= 350 do begin
       scanline(0,640,i,15);
       i := i + 10;
    end;

    Clear_Screen;
    line(0,0,0,349,15);
    line(0,0,639,0,15);
    line(0,349,639,349,15);
    line(639,0,639,349,15);
    i := integer(readkey);
    save_screen;
    restore_screen;
end.
